Bug 2603 - should detect dependency on new install_info
: should detect dependency on new install_info
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rpm-build)
: unstable
: all Linux
: P5 enhancement
Assigned To:
:
:
:
: 7409 7410
:
  Show dependency tree
 
Reported: 2003-05-21 20:54 by
Modified: 2008-05-18 19:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-05-21 20:54:39
Packages built with new rpm use a new command; install_info. But they do not
declare a dependency on a corresponding version, so the installation of
packages built this way may fail.

---
# rpm -q rpm
rpm-4.0.4-alt16
# apt-get install emacs-tramp
Reading Package Lists... Done
Building Dependency Tree... Done
Starting
Starting 2
Done
The following packages will be upgraded
  emacs-tramp
1 packages upgraded, 0 newly installed, 0 removed and 242 not upgraded.
Need to get 0B/136kB of archives.
After unpacking 97.0kB of additional disk space will be used.
Executing RPM (/bin/rpm -Uvh --fancypercent --oldpackage)...
Preparing...                 ########################################### [100%]
1: emacs-tramp               ########################################### [100%]
/root/tmp/rpm-tmp.29189: line 1: /usr/sbin/install_info: No such file or
directo                                                                         
ry
error: execution of %post scriptlet from emacs-tramp-2.0.33-alt1 failed, exit
st                                                                              
atus 127
E: Sub-process /bin/rpm returned an error code (1)
# rpm -q emacs-tramp
emacs-tramp-2.0.22-alt5
emacs-tramp-2.0.33-alt1
# rpm -q emacs-tramp --scripts
postinstall scriptlet (through /bin/sh):

if [ $1 = 0 ]; then     
        for f in  tramp.info; do        
                if [ \"$f\" = \"${f##*/}\" ]; then  
                        f=\"/usr/share/info/$f\"  
                fi      
                /sbin/install-info --delete
--dir-file=\"${f%/*}/dir\" --info-file                                
=\"$f\"   
        done    
fi
preuninstall scriptlet (through /bin/sh):

if [ $1 = 0 ]; then     
        for f in  tramp.info; do        
                if [ \"$f\" = \"${f##*/}\" ]; then  
                        f=\"/usr/share/info/$f\"  
                fi      
                /sbin/install-info --delete
--dir-file=\"${f%/*}/dir\" --info-file                                
=\"$f\"   
        done    
fi
postinstall scriptlet (through /bin/sh):
/usr/sbin/install_info tramp.info
preuninstall scriptlet (through /bin/sh):
/usr/sbin/uninstall_info tramp.info
# rpm -q emacs-tramp --qf=\'%{BUILDHOST}\\n\'
mash.office.altlinux.ru
mash.office.altlinux.ru
# 

---
------- Comment #1 From 2008-02-26 00:20:18 -------
Fixed in rpm-build-4.0.4-alt87.
------- Comment #2 From 2008-05-18 19:45:50 -------
Thanks! Have tested rpm-build-4.0.4-alt92 -- it would detect that dependency (on
rsync://rsync.altlinux.org::archive/Sisyphus/2006/01/15/files/SRPMS/emacs-tramp\*).